using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

//Program pro simulovaný výpis hodnot dopadající radiace na povrchu Marsu

namespace Dopadajici_zareni_Mars_Odysseus
{
    class Program //hlavní třída
    {
        static void Main(string[] args)
        {

            //V třídě Program vždy zavoláme funkce z třídy Funkce s parametry daného záření

            Console.ForegroundColor = ConsoleColor.DarkCyan;
            Console.WriteLine("Simulace dopadajícího záření");//Výpis úvodní věty

            Funkce z = new Funkce();     //Vytovoření instance třídy

            z.NapisNazev("Alfa");        //Z třídy Funkce voláme funkci NapisNázev(), jako její atribut jsme zadali název, který vypíše
            z.VypisCisla(11500, 72, 80);     //z třídy Funkce voláme funkci Vypiš čísla, její atributy jsou maximální limit záření, a nejmenší a největší možná hodnota záření dopadající na Mars
            Console.WriteLine();

            z.NapisNazev("Beta");
            z.VypisCisla(10500, 73, 82);
            Console.WriteLine();

            z.NapisNazev("Gama");
            z.VypisCisla(10000, 75, 85);
            Console.WriteLine();

            z.NapisNazev("MW");
            z.VypisCisla(12000, 75, 80);
            Console.WriteLine();

            z.NapisNazev("UV");
            z.VypisCisla(11500, 75, 80);
            Console.WriteLine();

            z.NapisNazev("sluneční vítr");
            z.VypisCisla(11000, 70, 85);
            Console.WriteLine();

            z.NapisNazev("IR");
            z.VypisCisla(100, 1, 5);



            Console.ReadKey();
        }
    }
}
